## lua-cosmo 8.04.14

=== Makefile ===
# $Id: Makefile,v 1.1.1.1 2007/11/26 17:12:24 mascarenhas Exp $

config_file:=config

ifneq '$(wildcard $(config_file))' ''
include $(config_file)
endif

$(config_file):
	chmod +x configure

all:

install: $(config_file)
	mkdir -p $(LUA_DIR)
	mkdir -p $(LUA_DIR)/cosmo
	cp src/cosmo.lua $(LUA_DIR)/
	cp src/cosmo/grammar.lua $(LUA_DIR)/cosmo
	cp src/cosmo/fill.lua $(LUA_DIR)/cosmo

install-rocks: install
	mkdir -p $(PREFIX)/samples
	cp -r samples/* $(PREFIX)/samples
	mkdir -p $(PREFIX)/doc
	cp -r doc/* $(PREFIX)/doc
	mkdir -p $(PREFIX)/tests
	cp -r tests/* $(PREFIX)/tests
	echo "Go to $(PREFIX) for samples and docs!"

test:
	cd tests && lua -l luarocks.require test_cosmo.lua

upload-cvs:
	darcs dist -d cosmo-current
	ncftpput -u mascarenhas ftp.luaforge.net cosmo/htdocs cosmo-current.tar.gz

dist:
	darcs dist -d cosmo-$(VERSION)

upload-dist:
	darcs push 139.82.100.4:public_html/cosmo/current
	ssh 139.82.100.4 "cd public_html/cosmo/current && make dist VERSION=$(VERSION)"
	darcs dist -d cosmo-$(VERSION)
	ncftpput -u mascarenhas ftp.luaforge.net cosmo/htdocs cosmo-$(VERSION).tar.gz
	ncftpput -u mascarenhas ftp.luaforge.net cosmo/htdocs doc/index.html

clean:

## lua-cosmo 10.04.06

=== debian/changelog ===
lua-cosmo (10.04.06-4) unstable; urgency=low

  * clean up debian/rules
  * Build-depend on dh-lua >= 12 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 19 Apr 2012 09:53:45 +0200

lua-cosmo (10.04.06-3) unstable; urgency=low

  * Switch to dh-lua
  * Packages renamed according to the new Lua policy
  * bumped standards-version to 3.9.3, no changes
  * debian/compat set to 9
  * Cupdated copyright file 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 17 Apr 2012 22:25:53 +0200

lua-cosmo (10.04.06-2) unstable; urgency=low

  * bumped standards-version to 3.9.2, no changes
  * source format 3.0 (quilt)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 22 Jul 2011 22:52:45 +0200

lua-cosmo (10.04.06-1) unstable; urgency=low

  * new upstream release (Closes: #579977)
  * update watch file, thanks Clint Adams (Closes: #579978)
  * updated copyright file
  * bumped standards version to 3.8.4, no changes 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 03 May 2010 20:51:20 +0200

lua-cosmo (8.04.14-3) unstable; urgency=low

  * build-depend on lua5.1-policy-dev >= 22
  * bumped standards-version to 3.8.2, no changes

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 17:09:57 +0200

lua-cosmo (8.04.14-2) unstable; urgency=low

  * rebuild against liblua5.1-lpeg2

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 23 Mar 2009 10:51:35 +0100

lua-cosmo (8.04.14-1) unstable; urgency=medium

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 11 Jun 2008 21:56:12 +0200

lua-cosmo (8.04.04-1) unstable; urgency=low

  * New upstream release based on lpeg

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 04 Apr 2008 10:05:02 +0200

lua-cosmo (8.01.26-1) unstable; urgency=low

  * Initial release. (Closes: #462659)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 26 Jan 2008 18:51:32 +0100

=== debian/control ===
Source: lua-cosmo
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 9), dh-lua (>= 12), shake
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-cosmo
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-cosmo
Homepage: http://sputnik.freewisdom.org/en/Cosmo

Package: lua-cosmo
Architecture: all
Depends: ${shlibs:Depends}, lua-lpeg, ${misc:Depends}
Replaces: liblua5.1-cosmo0 (<< 10.04.06-3~)
Breaks: liblua5.1-cosmo0 (<< 10.04.06-3~)
Provides: liblua5.1-cosmo0, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Template library for the Lua language
 The cosmo library defines a textual template language and provides functions
 to instantiate such templates filling variable with their actual values.
 .
 The package also contains the documentation.

Package: liblua5.1-cosmo0
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-cosmo
Description: Transitional package for lua-cosmo
 This is a transitional package to ease upgrades to the lua-cosmo
 package. It can safely be removed.

## lua-cosmo 13.01.30

=== Makefile ===
--- 
+++ 
@@ -31,16 +31,11 @@
 	cd tests && lua -l luarocks.require test_cosmo.lua
 
 upload-cvs:
-	darcs dist -d cosmo-current
+	git archive --format=tar --prefix=cosmo-current/ master | gzip > cosmo-current.tar.gz
 	ncftpput -u mascarenhas ftp.luaforge.net cosmo/htdocs cosmo-current.tar.gz
 
-dist:
-	darcs dist -d cosmo-$(VERSION)
-
 upload-dist:
-	darcs push 139.82.100.4:public_html/cosmo/current
-	ssh 139.82.100.4 "cd public_html/cosmo/current && make dist VERSION=$(VERSION)"
-	darcs dist -d cosmo-$(VERSION)
+	git archive --format=tar --prefix=cosmo-$(VERSION)/ v$(VERSION) | gzip > cosmo-$(VERSION).tar.gz
 	ncftpput -u mascarenhas ftp.luaforge.net cosmo/htdocs cosmo-$(VERSION).tar.gz
 	ncftpput -u mascarenhas ftp.luaforge.net cosmo/htdocs doc/index.html

=== debian/changelog ===
lua-cosmo (13.01.30-8) unstable; urgency=medium

  * QA upload.
  * Drop lua5.2 support.

 -- Bastian Germann <bage@debian.org>  Fri, 10 Oct 2025 16:01:10 +0200

lua-cosmo (13.01.30-7) unstable; urgency=medium

  * QA upload.
  * debian/salsa-ci.yml: removed useless comments (trash).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 10 Apr 2025 08:16:14 -0300

lua-cosmo (13.01.30-6) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.7.2.
      - Using Salsa instead of Alioth.
  * debian/salsa-ci.yml: created.
  * debian/watch:
      - Bumped to version 4.
      - Updated the search rule.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 09 Apr 2025 16:03:07 -0300

lua-cosmo (13.01.30-5) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 22 Jun 2023 00:59:50 -0300

lua-cosmo (13.01.30-4) experimental; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
     - debian/compat: removed.
     - debian/control: changed from 'debhelper' to 'debhelper-compat' in
       Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.6.2.

 -- Gustavo Kenzo Araki Takechi <gustavokenzo314@gmail.com>  Sat, 27 May 2023 11:21:23 -0300

lua-cosmo (13.01.30-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995505)

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 08:09:31 -0300

lua-cosmo (13.01.30-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 01:30:37 +0100

lua-cosmo (13.01.30-2) unstable; urgency=low

  * Add patch to make lua-cosmo compatible with lua-lpeg >= 0.12

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 19 Sep 2013 16:51:57 +0200

lua-cosmo (13.01.30-1) unstable; urgency=low

  * New upstream release supporting lua 5.2
  * Packaging moved to git
  * Transitional packages removed
  * fix FTBFS (Closes: #719378)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 19 Apr 2012 09:55:28 +0200

=== debian/control ===
Source: lua-cosmo
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), dh-lua (>= 12), shake
Standards-Version: 4.7.2
Homepage: https://github.com/mascarenhas/cosmo
Vcs-Browser: https://salsa.debian.org/debian/lua-cosmo
Vcs-Git: https://salsa.debian.org/debian/lua-cosmo.git

Package: lua-cosmo
Architecture: all
Depends: ${shlibs:Depends}, lua-lpeg, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Template library for the Lua language
 The cosmo library defines a textual template language and provides functions
 to instantiate such templates filling variable with their actual values.
 .
 The package also contains the documentation.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-cosmo
#
version=4
https://github.com/mascarenhas/cosmo/tags .*/tags/v?@ANY_VERSION@@ARCHIVE_EXT@
